# ipe::PdfRef Class Reference
Ipe Base

The PDF reference object (indirect object). More...

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

List of all members.

## Public Member Functions

- PdfRef (int val)
- virtual const PdfRef * ref () const
- virtual void write (Stream &stream) const
- int value () const

## Detailed Description

The PDF reference object (indirect object).

## Constructor & Destructor Documentation

ipe::PdfRef::PdfRef | ( | int | val | ) | `[inline, explicit]`

## Member Function Documentation

const PdfRef * PdfRef::ref | ( |  | ) | const`[virtual]`

Return this object as PDF reference object.

Reimplemented from ipe::PdfObj.

void PdfRef::write | ( | Stream & | stream | ) | const`[virtual]`

Implements ipe::PdfObj.

int ipe::PdfRef::value | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp